Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxcell
Class GRChart

    java.lang.Object
      Obj
          com.jxcell.GRChart

public class GRChart
extends Obj

This class provides methods for manipulating chart objects

See Also:
  Serialized Form

Field Summary
`static short` | `eChartArea`
`static short` | `eChartBar`
`static short` | `eChartBubble`
`static short` | `eChartColumn`
`static short` | `eChartCombination`
`static short` | `eChartDoughnut`
`static short` | `eChartLine`
`static short` | `eChartPie`
`static short` | `eChartScatter`
`static short` | `eChartStep`

Constructor Summary
`GRChart()`

Method Summary
`Obj` | `clone(ChartCopyInfo copyinfo)`
`void` | `copy(GRChart grobject, ChartCopyInfo copyinfo)`
`ChartRect` | `draw(DC m_dc, int width, int height)`
`java.lang.String` | `getCategoryName(int index)` Returns the name of the specified Category
`Value` | `getCategoryValue(int index)`
`Chart` | `getChart()`
`ChartData` | `getChartData()` get chart datasource
`short` | `getChartType()` Returns the current chart type
`void` | `getData(int row, int col, Array array1)`
`int` | `getDataPointCount()` the datapoint count
`JCChart` | `getJChart()`
`Palette` | `getPalette()`
`int` | `getSeriesCount()` series count
`java.lang.String` | `getSeriesName(int iSeries)` Returns the name of the specified series
`Value` | `getSeriesValue(int index)` return special series value object
`java.lang.String` | `getTitle()` Returns the current chart title
`short` | `getType()`
`boolean` | `isBubble()`
`boolean` | `isScatterBubble()`
`boolean` | `isSeriesInRows()` Indicates whether series data is in rows
`void` | `resetAll()` reset all chart format and chart data to default
`void` | `resetData()` resetData reset the chart data
`void` | `setChartData(ChartData chartData)` set chart data source
`void` | `setChartType(short sType)` Sets the chart type
`void` | `setTitle(java.lang.String title)` Sets the chart title
`void` | `validateData()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eChartColumn

    public static final short eChartColumn

See Also:
  Constant Field Values

### eChartLine

    public static final short eChartLine

See Also:
  Constant Field Values

### eChartArea

    public static final short eChartArea

See Also:
  Constant Field Values

### eChartStep

    public static final short eChartStep

See Also:
  Constant Field Values

### eChartBar

    public static final short eChartBar

See Also:
  Constant Field Values

### eChartCombination

    public static final short eChartCombination

See Also:
  Constant Field Values

### eChartPie

    public static final short eChartPie

See Also:
  Constant Field Values

### eChartDoughnut

    public static final short eChartDoughnut

See Also:
  Constant Field Values

### eChartScatter

    public static final short eChartScatter

See Also:
  Constant Field Values

### eChartBubble

    public static final short eChartBubble

See Also:
  Constant Field Values

Constructor Detail

### GRChart

    public GRChart()

Method Detail

### getJChart

    public JCChart getJChart()

### clone

    public Obj clone(ChartCopyInfo copyinfo)
              throws ChartException

  Throws:
    `ChartException`

### copy

    public void copy(GRChart grobject,
                     ChartCopyInfo copyinfo)
              throws ChartException

  Throws:
    `ChartException`

### getChart

    public Chart getChart()

### getChartType

    public short getChartType()

  Returns the current chart type

  Returns:
    a short indicating the current chart type

### getPalette

    public Palette getPalette()

### getTitle

    public java.lang.String getTitle()

  Returns the current chart title

  Returns:
    the chart title as a formula or a text string

### getType

    public short getType()

### isSeriesInRows

    public boolean isSeriesInRows()

  Indicates whether series data is in rows

  Returns:
    true if data is in rows

### draw

    public ChartRect draw(DC m_dc,
                          int width,
                          int height)

### resetData

    public void resetData()
                   throws ChartException

  resetData reset the chart data

  Throws:
    `ChartException`

### setChartType

    public void setChartType(short sType)
                      throws ChartException

  Sets the chart type

  Parameters:
    `sType` - The new chart type
  Throws:
    `ChartException` - if the chart type is invalid

### resetAll

    public void resetAll()

  reset all chart format and chart data to default

### setTitle

    public void setTitle(java.lang.String title)

  Sets the chart title

  Parameters:
    `title` - The chart title as a formula or a text string

### isScatterBubble

    public boolean isScatterBubble()

### isBubble

    public boolean isBubble()

### validateData

    public void validateData()

### getCategoryName

    public java.lang.String getCategoryName(int index)

  Returns the name of the specified Category

  Parameters:
    `index` - An integer indicating the Category
  Returns:
    the Category name

### getSeriesName

    public java.lang.String getSeriesName(int iSeries)

  Returns the name of the specified series

  Parameters:
    `iSeries` - An integer indicating the series
  Returns:
    the series name

### getDataPointCount

    public int getDataPointCount()

  the datapoint count

  Returns:
    datapoint count

### getCategoryValue

    public Value getCategoryValue(int index)

### getData

    public void getData(int row,
                        int col,
                        Array array1)

### getSeriesCount

    public int getSeriesCount()

  series count

  Returns:
    series count

### getSeriesValue

    public Value getSeriesValue(int index)

  return special series value object

  Parameters:
    `index` - index
  Returns:
    value object

### setChartData

    public void setChartData(ChartData chartData)

  set chart data source

  Parameters:
    `chartData` - chart data source

### getChartData

    public ChartData getChartData()

  get chart datasource

  Returns:
    datasource

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD